@use "fonts";

:root {
  --font-default: "Poppins", system-ui, -apple-system, blinkmacsystemfont,
    "Segoe UI", roboto, oxygen, ubuntu, cantarell, "Open Sans", "Helvetica Neue",
    sans-serif;
  --font-mono: "Ubuntu Mono", "Courier New", courier, monospace;
  --font-button: "Noto Sans JP", system-ui, -apple-system, blinkmacsystemfont,
    "Segoe UI", roboto, oxygen, ubuntu, cantarell, "Open Sans", "Helvetica Neue",
    sans-serif;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-weight: normal;
}

html {
  font-size: 62.5%;

  @media only screen and (max-width: 46.875em) {
    font-size: 56%;
  }
}

body {
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
